package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @time 2024-03-04
 * @Description 流水监控vo
 **/
@Data
public class FlowMonitorVO implements Serializable {

    /**
     * SDK类型
     */
    @ApiModelProperty(value = "SDK类型")
    private String sourceSystem;
    /**
     * 投手名称
     */
    @ApiModelProperty(value = "投手名称")
    private String pitcherName;

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * 订单开始时间
     */
    @ApiModelProperty(value = "订单开始时间")
    private LocalDate orderBeginDate;

    /**
     * 订单结时间
     */
    @ApiModelProperty(value = "订单结时间")
    private LocalDate orderEndDate;




}
